package pro.applihelp.kmo.volontairs.navigation

class Screens {
    companion object {
        const val TAB_MAP_SCREEN = "TAB_MAP_SCREEN"
        const val TAB_CAN_I_HELP_SCREEN = "TAB_CAN_I_HELP_SCREEN"
        const val TAB_PROFILE_SCREEN = "TAB_PROFILE_SCREEN"
        const val TAB_SETTINGS_SCREEN = "TAB_SETTINGS_SCREEN"
        const val TAB_NEW_EVENT_SCREEN = "TAB_NEW_EVENT_SCREEN"

        const val START_SCREEN = "START_SCREEN"
        const val BASE_LOGIN_SCREEN = "BASE_LOGIN_SCREEN"
        const val REGISTRATION_SCREEN = "REGISTRATION_SCREEN"
        const val LOGIN_SCREEN = "LOGIN_SCREEN"
        const val RESTORE_PASSWORD_SCREEN = "RESTORE_PASSWORD_SCREEN"

        const val MAP_SCREEN = "MAP_SCREEN"

        const val CAN_I_HELP_CATEGORY_SCREEN = "CAN_I_HELP_CATEGORY_SCREEN"

        const val SETTINGS_SCREEN = "SETTINGS_SCREEN"
        const val SETTINGS_ABOUT_US_SCREEN = "SETTINGS_ABOUT_US_SCREEN"
        const val SETTINGS_AGREEMENT_SCREEN = "SETTINGS_AGREEMENT_SCREEN"

        const val EVENTS_SCREEN = "EVENTS_SCREEN"
        const val EVENT_EXTENDED_SCREEN = "EVENT_EXTENDED_SCREEN"
        const val EVENT_CHANGE_SCREEN = "EVENT_CHANGE_SCREEN"
        const val EVENT_CATEGORY_SCREEN = "EVENT_CATEGORY_SCREEN"
        const val EVENT_DESCRIPTION_SCREEN = "EVENT_DESCRIPTION_SCREEN"
        const val EVENT_MAP_SCREEN = "EVENT_MAP_SCREEN"
        const val EVENT_DATETIME_CONTACTS_SCREEN = "EVENT_DATETIME_CONTACTS_SCREEN"

        const val PROFILE_SCREEN = "PROFILE_SCREEN"
        const val PROFILE_CHANGE_FIRST_NAME_SCREEN = "PROFILE_CHANGE_FIRST_NAME_SCREEN"
        const val PROFILE_CHANGE_LAST_NAME_SCREEN = "PROFILE_CHANGE_LAST_NAME_SCREEN"
        const val PROFILE_CHANGE_PHONE_SCREEN = "PROFILE_CHANGE_PHONE_SCREEN"
        const val PROFILE_CHANGE_ORGANIZATION_SCREEN = "PROFILE_CHANGE_ORGANIZATION_SCREEN"
        const val PROFILE_CHANGE_EMAIL_SCREEN = "PROFILE_CHANGE_EMAIL_SCREEN"
        const val PROFILE_CHANGE_PASSWORD_SCREEN = "PROFILE_CHANGE_PASSWORD_SCREEN"
    }
}